DescriptorProtos.FieldOptions.JSType
Date: 2017-07-08

com.google.protobuf

## Enum DescriptorProtos.FieldOptions.JSType

- java.lang.Object
- - java.lang.Enum<DescriptorProtos.FieldOptions.JSType>
  - - com.google.protobuf.DescriptorProtos.FieldOptions.JSType

- All Implemented Interfaces:
    Internal.EnumLite, ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<DescriptorProtos.FieldOptions.JSType>
  Enclosing class:
    DescriptorProtos.FieldOptions

      public static enum DescriptorProtos.FieldOptions.JSType
      extends java.lang.Enum<DescriptorProtos.FieldOptions.JSType>
      implements ProtocolMessageEnum

  Protobuf enum `google.protobuf.FieldOptions.JSType`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JS_NORMAL` Use the default type.
    `JS_NUMBER` Use JavaScript numbers.
    `JS_STRING` Use JavaScript strings.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JS_NORMAL_VALUE` Use the default type.
    `static int` | `JS_NUMBER_VALUE` Use JavaScript numbers.
    `static int` | `JS_STRING_VALUE` Use JavaScript strings.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DescriptorProtos.FieldOptions.JSType` | `forNumber(int value)`
    `static Descriptors.EnumDescriptor` | `getDescriptor()`
    `Descriptors.EnumDescriptor` | `getDescriptorForType()` Return the enum type's descriptor, which contains information about each defined value, etc.
    `int` | `getNumber()` Return the value's numeric value as defined in the .proto file.
    `Descriptors.EnumValueDescriptor` | `getValueDescriptor()` Return the value's descriptor, which contains information such as value name, number, and type.
    `static Internal.EnumLiteMap<DescriptorProtos.FieldOptions.JSType>` | `internalGetValueMap()`
    `static DescriptorProtos.FieldOptions.JSType` | `valueOf(Descriptors.EnumValueDescriptor desc)`
    `static DescriptorProtos.FieldOptions.JSType` | `valueOf(int value)` Deprecated. Use `forNumber(int)` instead.
    `static DescriptorProtos.FieldOptions.JSType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DescriptorProtos.FieldOptions.JSType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### JS_NORMAL

          public static final DescriptorProtos.FieldOptions.JSType JS_NORMAL

           Use the default type.

      `JS_NORMAL = 0;`

    - #### JS_STRING

          public static final DescriptorProtos.FieldOptions.JSType JS_STRING

           Use JavaScript strings.

      `JS_STRING = 1;`

    - #### JS_NUMBER

          public static final DescriptorProtos.FieldOptions.JSType JS_NUMBER

           Use JavaScript numbers.

      `JS_NUMBER = 2;`

  - ### Field Detail

    - #### JS_NORMAL_VALUE

          public static final int JS_NORMAL_VALUE

           Use the default type.

      `JS_NORMAL = 0;`
      See Also:
        Constant Field Values

    - #### JS_STRING_VALUE

          public static final int JS_STRING_VALUE

           Use JavaScript strings.

      `JS_STRING = 1;`
      See Also:
        Constant Field Values

    - #### JS_NUMBER_VALUE

          public static final int JS_NUMBER_VALUE

           Use JavaScript numbers.

      `JS_NUMBER = 2;`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static DescriptorProtos.FieldOptions.JSType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DescriptorProtos.FieldOptions.JSType c : DescriptorProtos.FieldOptions.JSType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DescriptorProtos.FieldOptions.JSType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Description copied from interface: `ProtocolMessageEnum`
      Return the value's numeric value as defined in the .proto file.
      Specified by:
        `getNumber` in interface `Internal.EnumLite`
      Specified by:
        `getNumber` in interface `ProtocolMessageEnum`

    - #### valueOf

          @Deprecated
          public static DescriptorProtos.FieldOptions.JSType valueOf(int value)

      Deprecated. Use `forNumber(int)` instead.

    - #### forNumber

          public static DescriptorProtos.FieldOptions.JSType forNumber(int value)

    - #### internalGetValueMap

          public static Internal.EnumLiteMap<DescriptorProtos.FieldOptions.JSType> internalGetValueMap()

    - #### getValueDescriptor

          public final Descriptors.EnumValueDescriptor getValueDescriptor()

      Description copied from interface: `ProtocolMessageEnum`
      Return the value's descriptor, which contains information such as value name, number, and type.
      Specified by:
        `getValueDescriptor` in interface `ProtocolMessageEnum`

    - #### getDescriptorForType

          public final Descriptors.EnumDescriptor getDescriptorForType()

      Description copied from interface: `ProtocolMessageEnum`
      Return the enum type's descriptor, which contains information about each defined value, etc.
      Specified by:
        `getDescriptorForType` in interface `ProtocolMessageEnum`

    - #### getDescriptor

          public static final Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static DescriptorProtos.FieldOptions.JSType valueOf(Descriptors.EnumValueDescriptor desc)